function plot_nlpca(name_lin_file,name_nl_file)

%load linmode1 % load linear PCA mode 1
load(name_lin_file);
xlin = xi; 
% locate the end coordinates of the line described by the linear mode.
[xl(1,1),imax] = max(xlin(1,:)); [xl(1,2),imin] = min(xlin(1,:));
xl(2,1) = xlin(2,imax); xl(2,2) = xlin(2,imin);
xl(3,1) = xlin(3,imax); xl(3,2) = xlin(3,imin);

%load mode1_m1 % <<<<<<<  give name of file you want to plot out <<<<<<<<<<
load(name_nl_file)
x= xdata;

figure('name',['Non Linear Component ' name_lin_file(length(name_lin_file))],'numbertitle','off');
subplot(2,2,1);
plot(xl(1,:),xl(2,:),'--',x(1,:),x(2,:),'x',xi(1,:),xi(2,:),'o','Markersize',4);
title('(a)','FontSize',13)
xlabel('x_{1}','FontSize',12)
ylabel('x_{2}','FontSize',12)
axis image;
grid on;

subplot(2,2,2);
plot(xl(1,:),xl(3,:),'--',x(1,:),x(3,:),'x',xi(1,:),xi(3,:),'o','Markersize',4);
title('(b)','FontSize',13)
xlabel('x_{1}','FontSize',12)
ylabel('x_{3}','FontSize',12)
axis image;
grid on;

subplot(2,2,3);
plot(xl(2,:),xl(3,:),'--',x(2,:),x(3,:),'x',xi(2,:),xi(3,:),'o','Markersize',4);
title('(c)','FontSize',13)
xlabel('x_{2}','FontSize',12)
ylabel('x_{3}','FontSize',12)
axis image;
grid on;

subplot(2,2,4);
axis image;
plot3(xl(1,:),xl(2,:),xl(3,:),'--b',xi(1,:),xi(2,:),xi(3,:),'or','Markersize',4);
hold on
plot3(x(1,:),x(2,:),x(3,:),'.','Linewidth',3,'color',[0,0.4,0]);
view([-32.5,40]); %<<<<< change view angles for different 3-D perspective
hold off

title('(d)','FontSize',13)
xlabel('x_{1}','FontSize',12)
ylabel('x_{2}','FontSize',12)
zlabel('x_{3}','FontSize',12)
box off; grid on;

end